Merge pull request #166 from harshavardhana/pr_out_intel_isal_requires_yasm_version_1_2_0_with_avx2_instruction_support_document_it

This commit is contained in:
Harshavardhana 2015-01-06 20:52:04 -08:00
commit c82d2b95d7
2 changed files with 5 additions and 2 deletions

View file

@ -7,6 +7,9 @@ $ sudo apt-get install git build-essential
```
##### Install YASM
Minio depends on Intel ISAL library for erasure coding, ISAL uses Intel AVX2 processor instructions, to compile these files one needs to install ``yasm`` which supports AVX2 instructions. AVX2 support only ended in ``yasm`` from version ``1.2.0``, any version below ``1.2.0`` will throw a build error as referenced in issue [here](https://github.com/Minio-io/minio/issues/163)
```sh
$ sudo apt-get install yasm
```

View file

@ -42,7 +42,7 @@ if [ $? -ne 0 ]; then
fi
if ! yasm -f elf64 -i isal/include isal/src/gf-vect-dot-prod-avx2.asm -o /dev/null 2>/dev/null ; then
MISSING="${MISSING} yasm(elf64 support)"
MISSING="${MISSING} yasm(1.2.0)"
fi
## If dependencies are missing, warn the user and abort
@ -54,7 +54,7 @@ if [ "x${MISSING}" != "x" ]; then
echo "** ${MISSING} **"
echo
echo "Please install them "
echo "$ sudo apt-get install ${MISSING}"
echo "${MISSING}"
echo
exit 1
fi